Bug 326570 - Digikam crashes while recocnizing/tagging faces
Summary: Digikam crashes while recocnizing/tagging faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-24 16:31 UTC by aj_
Modified: 2019-12-23 06:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aj_ 2013-10-24 16:31:30 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.2
Qt Version: 4.8.4
Operating System: Linux 3.11.0-12-generic i686
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:
I started the face recognition and tagging of my picture library, after some time (about 4% of a larege picture library) digikam crashed.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xad547900 (LWP 2459))]

Thread 13 (Thread 0xad51eb40 (LWP 2482)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb4a89a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xadbac392 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb3224d78 in start_thread (arg=0xad51eb40) at pthread_create.c:311
#4  0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 12 (Thread 0xaaf99b40 (LWP 2487)):
#0  0xb4ad5173 in __x86.get_pc_thunk.bx () from /lib/i386-linux-gnu/libc.so.6
#1  0xb4aa6b98 in pthread_mutex_lock (mutex=0x8994a10) at forward.c:192
#2  0xb2e49bb0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e06009 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06a5f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e0704b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xadd1f32a in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#7  0xb2e2cc4a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3224d78 in start_thread (arg=0xaaf99b40) at pthread_create.c:311
#9  0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 11 (Thread 0xaa522b40 (LWP 2490)):
#0  0xb3227c34 in __pthread_mutex_unlock_usercnt (mutex=0x89f3d70, decr=1) at pthread_mutex_unlock.c:52
#1  0xb4aa6c04 in pthread_mutex_unlock (mutex=0x89f3d70) at forward.c:194
#2  0xb2e49bf0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e05d15 in g_main_context_release () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06b10 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb2e06d2e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb2e2cc4a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3224d78 in start_thread (arg=0xaa522b40) at pthread_create.c:311
#9  0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 10 (Thread 0xa9d21b40 (LWP 2527)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb322884b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4aa69bc in __pthread_cond_wait (cond=0x8ae8b70, mutex=0x8ae8b58) at forward.c:149
#3  0xb4d88ca5 in wait (time=4294967295, this=0x8ae8b58) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8ae8acc, mutex=mutex@entry=0x8ae8ac8, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820d9c4 in Digikam::ScanController::run (this=0x8aec780) at /build/buildd/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4d8872f in QThreadPrivate::start (arg=0x8aec780) at thread/qthread_unix.cpp:338
#7  0xb3224d78 in start_thread (arg=0xa9d21b40) at pthread_create.c:311
#8  0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 9 (Thread 0xa7eadb40 (LWP 2528)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb4a89a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e15a4b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e06b68 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ec78df in QEventDispatcherGlib::processEvents (this=0xa8a026e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e969f3 in QEventLoop::processEvents (this=this@entry=0xa7ead068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e96d19 in QEventLoop::exec (this=this@entry=0xa7ead068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4d85e3d in QThread::exec (this=this@entry=0x8aef760) at thread/qthread.cpp:542
#9  0xb4e76e14 in QInotifyFileSystemWatcherEngine::run (this=0x8aef760) at io/qfilesystemwatcher_inotify.cpp:265
#10 0xb4d8872f in QThreadPrivate::start (arg=0x8aef760) at thread/qthread_unix.cpp:338
#11 0xb3224d78 in start_thread (arg=0xa7eadb40) at pthread_create.c:311
#12 0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 8 (Thread 0xa9520b40 (LWP 2578)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb322884b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4aa69bc in __pthread_cond_wait (cond=0x8e609f0, mutex=0x8e609d8) at forward.c:149
#3  0xb4d88ca5 in wait (time=4294967295, this=0x8e609d8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8b560f0, mutex=mutex@entry=0x8b560ec, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6994d54 in Digikam::ParkingThread::run (this=0x8b560e0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4d8872f in QThreadPrivate::start (arg=0x8b560e0) at thread/qthread_unix.cpp:338
#7  0xb3224d78 in start_thread (arg=0xa9520b40) at pthread_create.c:311
#8  0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 7 (Thread 0xa1b44b40 (LWP 2689)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb4a89a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e15a4b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e06b68 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ec78df in QEventDispatcherGlib::processEvents (this=0xaa602318, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e969f3 in QEventLoop::processEvents (this=this@entry=0xa1b44068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e96d19 in QEventLoop::exec (this=this@entry=0xa1b44068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6994322 in Digikam::WorkerObjectRunnable::run (this=0xb619240) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d7b63a in QThreadPoolThread::run (this=0xa0f42f8) at concurrent/qthreadpool.cpp:107
#10 0xb4d8872f in QThreadPrivate::start (arg=0xa0f42f8) at thread/qthread_unix.cpp:338
#11 0xb3224d78 in start_thread (arg=0xa1b44b40) at pthread_create.c:311
#12 0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 6 (Thread 0x9c3ffb40 (LWP 2698)):
#0  _IO_vfprintf_internal (s=s@entry=0x9c3fe670, format=format@entry=0xb523cf41 "LANGUAGE=%s", ap=ap@entry=0x9c3fe7b4 " <\356\n") at vfprintf.c:270
#1  0xb4aace28 in ___vsnprintf_chk (s=s@entry=0x8aa8d30 "", maxlen=<optimized out>, maxlen@entry=42, flags=flags@entry=1, slen=slen@entry=4294967295, format=format@entry=0xb523cf41 "LANGUAGE=%s", args=args@entry=0x9c3fe7b4 " <\356\n") at vsnprintf_chk.c:63
#2  0xb4aacd37 in ___snprintf_chk (s=0x8aa8d30 "", maxlen=maxlen@entry=42, flags=flags@entry=1, slen=slen@entry=4294967295, format=format@entry=0xb523cf41 "LANGUAGE=%s") at snprintf_chk.c:35
#3  0xb51a03fe in snprintf (__fmt=0xb523cf41 "LANGUAGE=%s", __n=42, __s=<optimized out>) at /usr/include/i386-linux-gnu/bits/stdio2.h:65
#4  KCatalogPrivate::setupGettextEnv (this=0xaee5518) at ../../kdecore/localization/kcatalog.cpp:183
#5  0xb51a1261 in KCatalog::translateStrict (this=0xaee5508, msgctxt=0xa6ea7f29 "QSQLiteResult", msgid=0xa6ea7fd6 "Unable to fetch row") at ../../kdecore/localization/kcatalog.cpp:262
#6  0xb51bbb44 in KLocalePrivate::translateRawFrom (this=0x8aa9f78, catname=0x0, msgctxt=0xa6ea7f29 "QSQLiteResult", msgid=0xa6ea7fd6 "Unable to fetch row", msgid_plural=0x0, n=0, language=0x9c3fe8f8, translation=0x9c3fe8f4) at ../../kdecore/localization/klocale_kde.cpp:959
#7  0xb51bc10f in KLocalePrivate::translateQt (this=0x8aa9f78, context=0xa6ea7f29 "QSQLiteResult", sourceText=0xa6ea7fd6 "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale_kde.cpp:1024
#8  0xb51ad811 in KLocale::translateQt (this=0x8a4a908, context=context@entry=0xa6ea7f29 "QSQLiteResult", sourceText=sourceText@entry=0xa6ea7fd6 "Unable to fetch row", comment=comment@entry=0x0) at ../../kdecore/localization/klocale.cpp:199
#9  0xb5129c2c in KDETranslator::translate (this=0x8a542c8, context=0xa6ea7f29 "QSQLiteResult", sourceText=0xa6ea7fd6 "Unable to fetch row", message=0x0) at ../../kdecore/kernel/kglobal_p.h:52
#10 0xb4eb7d31 in QTranslator::translate (this=0x8a542c8, context=0xa6ea7f29 "QSQLiteResult", sourceText=0xa6ea7fd6 "Unable to fetch row", disambiguation=0x0, n=-1) at kernel/qtranslator.cpp:1029
#11 0xb4e9845a in QCoreApplication::translate (context=context@entry=0xa6ea7f29 "QSQLiteResult", sourceText=sourceText@entry=0xa6ea7fd6 "Unable to fetch row", disambiguation=disambiguation@entry=0x0, encoding=encoding@entry=QCoreApplication::CodecForTr, n=n@entry=-1) at kernel/qcoreapplication.cpp:1965
#12 0xb4e988b2 in QCoreApplication::translate (context=context@entry=0xa6ea7f29 "QSQLiteResult", sourceText=sourceText@entry=0xa6ea7fd6 "Unable to fetch row", disambiguation=disambiguation@entry=0x0, encoding=encoding@entry=QCoreApplication::CodecForTr) at kernel/qcoreapplication.cpp:1880
#13 0xa6ea6624 in QSQLiteResultPrivate::fetchNext (this=this@entry=0x995311b8, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:303
#14 0xa6ea6f8d in QSQLiteResult::exec (this=0x9997f6d8) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:448
#15 0xb76d9e60 in QSqlQuery::exec (this=this@entry=0x9c3fecb8) at kernel/qsqlquery.cpp:949
#16 0xb6948ed1 in Digikam::DatabaseCoreBackend::exec (this=0x8c83db0, query=...) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1414
#17 0xb69492cd in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x8c83db0, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1085
#18 0xb694a218 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x8c83db0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1030
#19 0xb694a28c in Digikam::DatabaseCoreBackend::execSql (this=0x8c83db0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0x9c3fed2c) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:928
#20 0xb6957504 in Digikam::ThumbnailDB::insertThumbnail (this=0x8cd31b0, info=..., lastInsertId=lastInsertId@entry=0x9c3fee10) at /build/buildd/digikam-3.4.0/core/libs/database/core/thumbnaildb.cpp:260
#21 0xb697ebc0 in Digikam::ThumbnailCreator::storeInDatabase (this=0x8f2b3a8, info=..., image=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:755
#22 0xb6980ebe in Digikam::ThumbnailCreator::load (this=this@entry=0x8f2b3a8, path=..., rect=..., pregenerate=pregenerate@entry=true) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:267
#23 0xb6981937 in Digikam::ThumbnailCreator::pregenerate (this=0x8f2b3a8, path=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:183
#24 0xb6990015 in Digikam::ThumbnailLoadingTask::execute (this=0xb8f11c8) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailtask.cpp:82
#25 0xb6966758 in Digikam::LoadSaveThread::run (this=0x8f77618) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#26 0xb6996fbe in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x8e5d4e0) at /build/buildd/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#27 0xb4d7b63a in QThreadPoolThread::run (this=0xa1021c0) at concurrent/qthreadpool.cpp:107
#28 0xb4d8872f in QThreadPrivate::start (arg=0xa1021c0) at thread/qthread_unix.cpp:338
#29 0xb3224d78 in start_thread (arg=0x9c3ffb40) at pthread_create.c:311
#30 0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 5 (Thread 0x95d55b40 (LWP 2700)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb4a93fb7 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb279e2f0 in ?? () from /usr/lib/libtbb.so.2
#3  0xb279e31d in ?? () from /usr/lib/libtbb.so.2
#4  0xb3224d78 in start_thread (arg=0x95d55b40) at pthread_create.c:311
#5  0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 4 (Thread 0x9492db40 (LWP 2702)):
#0  0xb3227c34 in __pthread_mutex_unlock_usercnt (mutex=0x9c6dc658, decr=1) at pthread_mutex_unlock.c:52
#1  0xb4aa6c04 in pthread_mutex_unlock (mutex=0x9c6dc658) at forward.c:194
#2  0xb2e49bf0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e06418 in g_main_context_query () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06ac6 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4ec78df in QEventDispatcherGlib::processEvents (this=0x9d682b50, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4e969f3 in QEventLoop::processEvents (this=this@entry=0x9492d068, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4e96d19 in QEventLoop::exec (this=this@entry=0x9492d068, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6994322 in Digikam::WorkerObjectRunnable::run (this=0xb6b6fc0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4d7b63a in QThreadPoolThread::run (this=0xa104ae8) at concurrent/qthreadpool.cpp:107
#11 0xb4d8872f in QThreadPrivate::start (arg=0xa104ae8) at thread/qthread_unix.cpp:338
#12 0xb3224d78 in start_thread (arg=0x9492db40) at pthread_create.c:311
#13 0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 3 (Thread 0x8b929b40 (LWP 2710)):
#0  0xb3226e2f in __GI___pthread_mutex_lock (mutex=0x980b8740) at pthread_mutex_lock.c:116
#1  0xb4aa6bc4 in pthread_mutex_lock (mutex=0x980b8740) at forward.c:192
#2  0xb2e49bb0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e06a35 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ec78df in QEventDispatcherGlib::processEvents (this=0x980b7d78, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e969f3 in QEventLoop::processEvents (this=this@entry=0x8b929068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e96d19 in QEventLoop::exec (this=this@entry=0x8b929068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6994322 in Digikam::WorkerObjectRunnable::run (this=0xae78b88) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d7b63a in QThreadPoolThread::run (this=0xa103f08) at concurrent/qthreadpool.cpp:107
#10 0xb4d8872f in QThreadPrivate::start (arg=0xa103f08) at thread/qthread_unix.cpp:338
#11 0xb3224d78 in start_thread (arg=0x8b929b40) at pthread_create.c:311
#12 0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0x891f8b40 (LWP 2711)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0xb4a89a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e15a4b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e06b68 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ec78df in QEventDispatcherGlib::processEvents (this=0x980bba38, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4e969f3 in QEventLoop::processEvents (this=this@entry=0x891f8068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4e96d19 in QEventLoop::exec (this=this@entry=0x891f8068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6994322 in Digikam::WorkerObjectRunnable::run (this=0xb7402e8) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d7b63a in QThreadPoolThread::run (this=0xa104d80) at concurrent/qthreadpool.cpp:107
#10 0xb4d8872f in QThreadPrivate::start (arg=0xa104d80) at thread/qthread_unix.cpp:338
#11 0xb3224d78 in start_thread (arg=0x891f8b40) at pthread_create.c:311
#12 0xb4a9901e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xad547900 (LWP 2459)):
[KCrash Handler]
#7  0xb772a424 in __kernel_vsyscall ()
#8  0xb49d5aff in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#9  0xb49d9083 in __GI_abort () at abort.c:90
#10 0xb4a12a95 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0xb4b160d0 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:199
#11 0xb4a1d7c2 in malloc_printerr (action=<optimized out>, str=<optimized out>, ptr=0xaf8e208) at malloc.c:4923
#12 0xb4a1e510 in _int_free (av=0xb4b57440 <main_arena>, p=0xaf8e200, have_lock=0) at malloc.c:3779
#13 0xb4c03a3f in operator delete(void*) () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#14 0xb660c8f1 in node_destruct (this=<optimized out>, n=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#15 erase (alast=..., afirst=..., this=0x8e1f18c) at /usr/include/qt4/QtCore/qlist.h:811
#16 Digikam::ImageModel::removeRowPairs (this=this@entry=0x8f08030, toRemove=...) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#17 0xb660dce8 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0x8f08030) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
#18 0x081a7e17 in Digikam::ImageAlbumModel::slotResult (this=0x8f08030, job=0xb61e348) at /build/buildd/digikam-3.4.0/core/libs/models/imagealbummodel.cpp:307
#19 0x081a8d01 in Digikam::ImageAlbumModel::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/digikam-3.4.0/obj-i686-linux-gnu/core/digikam/imagealbummodel.moc:94
#20 0xb4eacfc7 in QMetaObject::activate (sender=sender@entry=0xb61e348, m=m@entry=0xb52b24cc <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0xbfb34b88) at kernel/qobject.cpp:3539
#21 0xb510c9e5 in KJob::result (this=this@entry=0xb61e348, _t1=_t1@entry=0xb61e348) at ./kjob.moc:208
#22 0xb510ca32 in KJob::emitResult (this=this@entry=0xb61e348) at ../../kdecore/jobs/kjob.cpp:318
#23 0xb6283f31 in KIO::SimpleJob::slotFinished (this=0xb61e348) at ../../kio/kio/job.cpp:496
#24 0xb6285336 in KIO::TransferJob::slotFinished (this=0xb61e348) at ../../kio/kio/job.cpp:1099
#25 0xb6285ed0 in KIO::TransferJob::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0xbfb34d78, _c=<optimized out>) at ./jobclasses.moc:388
#26 0xb4eacfc7 in QMetaObject::activate (sender=sender@entry=0xabdfef0, m=m@entry=0xb644a480 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#27 0xb632fe95 in KIO::SlaveInterface::finished (this=this@entry=0xabdfef0) at ./slaveinterface.moc:185
#28 0xb63318dd in KIO::SlaveInterface::dispatch (this=0xabdfef0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:176
#29 0xb632ec5e in KIO::SlaveInterface::dispatch (this=0xabdfef0) at ../../kio/kio/slaveinterface.cpp:92
#30 0xb6322280 in KIO::Slave::gotInput (this=this@entry=0xabdfef0) at ../../kio/kio/slave.cpp:344
#31 0xb632242c in KIO::Slave::qt_static_metacall (_o=_o@entry=0xabdfef0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfb34fc8) at ./slave.moc:57
#32 0xb4eacfc7 in QMetaObject::activate (sender=sender@entry=0x9981678, m=m@entry=0xb6447190 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#33 0xb624ba75 in KIO::Connection::readyRead (this=0x9981678) at ./connection.moc:106
#34 0xb624c220 in KIO::ConnectionPrivate::dequeue (this=0xaad07d0) at ../../kio/kio/connection.cpp:82
#35 0xb4ea977a in QMetaCallEvent::placeMetaCall (this=0xb66a678, object=0x9981678) at kernel/qobject.cpp:524
#36 0xb4eb158b in QObject::event (this=0x9981678, e=0xb66a678) at kernel/qobject.cpp:1194
#37 0xb53f3744 in QApplicationPrivate::notify_helper (this=0x88d9a50, receiver=0x9981678, e=0xb66a678) at kernel/qapplication.cpp:4567
#38 0xb53fa223 in QApplication::notify (this=0xbfb35798, receiver=receiver@entry=0x9981678, e=e@entry=0xb66a678) at kernel/qapplication.cpp:4353
#39 0xb5f40ff4 in KApplication::notify (this=0xbfb35798, receiver=0x9981678, event=0xb66a678) at ../../kdeui/kernel/kapplication.cpp:311
#40 0xb4e97eda in QCoreApplication::notifyInternal (this=0xbfb35798, receiver=receiver@entry=0x9981678, event=event@entry=0xb66a678) at kernel/qcoreapplication.cpp:946
#41 0xb4e9b6ad in sendEvent (event=0xb66a678, receiver=0x9981678) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x8872880) at kernel/qcoreapplication.cpp:1570
#43 0xb4e9bbbc in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#44 0xb4ec7f6e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#45 postEventSourceDispatch (s=0x88d7bf0) at kernel/qeventdispatcher_glib.cpp:279
#46 0xb2e0683e in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0xb2e06be8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#48 0xb2e06ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#49 0xb4ec78bf in QEventDispatcherGlib::processEvents (this=this@entry=0x8853010, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#50 0xb54a832e in QGuiEventDispatcherGlib::processEvents (this=0x8853010, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#51 0xb4e969f3 in QEventLoop::processEvents (this=this@entry=0xbfb355c8, flags=...) at kernel/qeventloop.cpp:149
#52 0xb4e96d19 in QEventLoop::exec (this=this@entry=0xbfb355c8, flags=...) at kernel/qeventloop.cpp:204
#53 0xb4e9c89e in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#54 0xb53f1974 in QApplication::exec () at kernel/qapplication.cpp:3828
#55 0x080bc0b0 in main (argc=5, argv=0xbfb358d4) at /build/buildd/digikam-3.4.0/core/digikam/main/main.cpp:235

The reporter indicates this bug may be a duplicate of or related to bug 317413.

Possible duplicates by query: bug 323823, bug 322518, bug 321465, bug 320526, bug 320128.

Reported using DrKonqi
Comment 1 Jekyll Wu 2013-10-29 02:09:20 UTC

*** This bug has been marked as a duplicate of bug 317413 ***
Comment 2 caulier.gilles 2019-12-23 06:21:57 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier